SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_minmax - apply a min/max range constraint to an interval

SYNOPSIS

int snd_pcm_hw_constraint_minmax(struct snd_pcm_runtime * runtime, snd_pcm_hw_param_t var, unsigned int min, unsigned int max);

ARGUMENTS

runtime
    PCM runtime instance

var
    hw_params variable to apply the range

min
    the minimal value

max
    the maximal value

DESCRIPTION

Apply the min/max range constraint to an interval parameter.

RETURN

Positive if the value is changed, zero if it's not changed, or a negative error code.

COPYRIGHT